<template>
  <div class="item">
    <div class="item__header">
      <div @click="gotoSearchPage">search icon</div>
    </div>
    <div class="item__main">
      <div class="item__cover">
        <img :src="item.image" />
      </div>
      <div class="item__info">
        <div class="item__info-header">
          <div class="item__info-header_title">
            {{ item.title }}
          </div>
          <div class="item__info-header_rating">
            {{ item.rating }}
          </div>
        </div>
        <div class="item__info_short">
          <div class="item__info_release-date">
            {{ item.releaseDate | releaseYear }}
          </div>
          <div class="item__info_units">year</div>
          <div class="item__info_duration">
            {{ item.duration }}
          </div>
          <div class="item__info_units">min</div>
        </div>
        <div class="item__info_description">
          {{ item.description }}
        </div>
      </div>
    </div>
    <div class="item_genre-text">Films by {{ item.genre }} genre</div>
  </div>
</template>

<script>
export default {
  name: "item",
  props: {
    item: {
      type: Object,
      required: true,
      default: () => ({
        image: "",
        title: "",
        rating: "",
        releaseDate: "",
        duration: "",
        description: ""
      })
    }
  },
  methods: {
    gotoSearchPage() {
      this.$router.push({ path: "/" });
    }
  }
};
</script>

<style scoped>
.item {
  display: flex;
  flex-direction: column;
  background-color: #232323;
  font-family: sans-serif;
}

.item__main {
  display: flex;
  flex-direction: row;
  padding-bottom: 30px;
}

.item__info-header {
  display: flex;
  flex-direction: row;
  padding-bottom: 30px;
  font-size: xx-large;
  color: white;
  align-items: center;
}

.item__info {
  display: flex;
  flex-direction: column;
  padding: 30px;
}

.item__cover img {
  padding: 10px;
  max-width: 334px;
}

.item__header {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  color: #f65261;
  padding: 10px;
}

.item__info_short {
  display: flex;
  flex-direction: row;
  color: #f65261;
  font-size: larger;
  align-items: flex-end;
}

.item__info_units {
  display: flex;
  flex-direction: row;
  color: white;
  font-size: small;
  padding-right: 15px;
  padding-left: 5px;
}
.item__info_description {
  padding-top: 20px;
  color: white;
}

.item__info-header_rating {
  color: #a1e66f;
  font-size: smaller;
  border: 1px solid white;
  border-radius: 1000px;
  padding: 10px;
  margin-left: 20px;
}

.item_genre-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 100px;
  color: white;
  background-color: #555555;
  font-family: sans-serif;
  padding-left: 50px;
}
</style>
